package com.ruoyi.system.answer.base.mapper;

import java.util.List;
import com.ruoyi.system.answer.base.domain.QuestionMatch;

/**
 * 每日答题赛Mapper接口
 * 
 * @author ruoyi
 * @date 2024-09-13
 */
public interface QuestionMatchMapper 
{
    /**
     * 查询每日答题赛
     * 
     * @param matchId 每日答题赛主键
     * @return 每日答题赛
     */
    public QuestionMatch selectQuestionMatchByMatchId(Long matchId);

    /**
     * 查询每日答题赛列表
     * 
     * @param questionMatch 每日答题赛
     * @return 每日答题赛集合
     */
    public List<QuestionMatch> selectQuestionMatchList(QuestionMatch questionMatch);

    /**
     * 新增每日答题赛
     * 
     * @param questionMatch 每日答题赛
     * @return 结果
     */
    public int insertQuestionMatch(QuestionMatch questionMatch);

    /**
     * 修改每日答题赛
     * 
     * @param questionMatch 每日答题赛
     * @return 结果
     */
    public int updateQuestionMatch(QuestionMatch questionMatch);

    /**
     * 删除每日答题赛
     * 
     * @param matchId 每日答题赛主键
     * @return 结果
     */
    public int deleteQuestionMatchByMatchId(Long matchId);

    /**
     * 批量删除每日答题赛
     * 
     * @param matchIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQuestionMatchByMatchIds(Long[] matchIds);
}
