package com.ruoyi.system.answer.base.service;

import java.util.List;
import com.ruoyi.system.answer.base.domain.QuestionBank;

/**
 * 1题库Service接口
 * 
 * @author ruoyi
 * @date 2024-09-12
 */
public interface IQuestionBankService 
{
    /**
     * 查询1题库
     * 
     * @param questionId 1题库主键
     * @return 1题库
     */
    public QuestionBank selectQuestionBankByQuestionId(Long questionId);

    /**
     * 查询1题库列表
     * 
     * @param questionBank 1题库
     * @return 1题库集合
     */
    public List<QuestionBank> selectQuestionBankList(QuestionBank questionBank);

    /**
     * 新增1题库
     * 
     * @param questionBank 1题库
     * @return 结果
     */
    public int insertQuestionBank(QuestionBank questionBank);

    /**
     * 修改1题库
     * 
     * @param questionBank 1题库
     * @return 结果
     */
    public int updateQuestionBank(QuestionBank questionBank);

    /**
     * 批量删除1题库
     * 
     * @param questionIds 需要删除的1题库主键集合
     * @return 结果
     */
    public int deleteQuestionBankByQuestionIds(Long[] questionIds);

    /**
     * 删除1题库信息
     * 
     * @param questionId 1题库主键
     * @return 结果
     */
    public int deleteQuestionBankByQuestionId(Long questionId);
}
