package com.ruoyi.system.answer.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.answer.base.mapper.QuestionBankMapper;
import com.ruoyi.system.answer.base.domain.QuestionBank;
import com.ruoyi.system.answer.base.service.IQuestionBankService;

/**
 * 1题库Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-12
 */
@Service
public class QuestionBankServiceImpl implements IQuestionBankService 
{
    @Autowired
    private QuestionBankMapper questionBankMapper;

    /**
     * 查询1题库
     * 
     * @param questionId 1题库主键
     * @return 1题库
     */
    @Override
    public QuestionBank selectQuestionBankByQuestionId(Long questionId)
    {
        return questionBankMapper.selectQuestionBankByQuestionId(questionId);
    }

    /**
     * 查询1题库列表
     * 
     * @param questionBank 1题库
     * @return 1题库
     */
    @Override
    public List<QuestionBank> selectQuestionBankList(QuestionBank questionBank)
    {
        return questionBankMapper.selectQuestionBankList(questionBank);
    }

    /**
     * 新增1题库
     * 
     * @param questionBank 1题库
     * @return 结果
     */
    @Override
    public int insertQuestionBank(QuestionBank questionBank)
    {
        return questionBankMapper.insertQuestionBank(questionBank);
    }

    /**
     * 修改1题库
     * 
     * @param questionBank 1题库
     * @return 结果
     */
    @Override
    public int updateQuestionBank(QuestionBank questionBank)
    {
        return questionBankMapper.updateQuestionBank(questionBank);
    }

    /**
     * 批量删除1题库
     * 
     * @param questionIds 需要删除的1题库主键
     * @return 结果
     */
    @Override
    public int deleteQuestionBankByQuestionIds(Long[] questionIds)
    {
        return questionBankMapper.deleteQuestionBankByQuestionIds(questionIds);
    }

    /**
     * 删除1题库信息
     * 
     * @param questionId 1题库主键
     * @return 结果
     */
    @Override
    public int deleteQuestionBankByQuestionId(Long questionId)
    {
        return questionBankMapper.deleteQuestionBankByQuestionId(questionId);
    }
}
