package com.ruoyi.system.answer.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.answer.base.mapper.QuestionMatchOnehundredMapper;
import com.ruoyi.system.answer.base.domain.QuestionMatchOnehundred;
import com.ruoyi.system.answer.base.service.IQuestionMatchOnehundredService;

/**
 * 百元挑战赛Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-13
 */
@Service
public class QuestionMatchOnehundredServiceImpl implements IQuestionMatchOnehundredService 
{
    @Autowired
    private QuestionMatchOnehundredMapper questionMatchOnehundredMapper;

    /**
     * 查询百元挑战赛
     * 
     * @param matchId 百元挑战赛主键
     * @return 百元挑战赛
     */
    @Override
    public QuestionMatchOnehundred selectQuestionMatchOnehundredByMatchId(Long matchId)
    {
        return questionMatchOnehundredMapper.selectQuestionMatchOnehundredByMatchId(matchId);
    }

    /**
     * 查询百元挑战赛列表
     * 
     * @param questionMatchOnehundred 百元挑战赛
     * @return 百元挑战赛
     */
    @Override
    public List<QuestionMatchOnehundred> selectQuestionMatchOnehundredList(QuestionMatchOnehundred questionMatchOnehundred)
    {
        return questionMatchOnehundredMapper.selectQuestionMatchOnehundredList(questionMatchOnehundred);
    }

    /**
     * 新增百元挑战赛
     * 
     * @param questionMatchOnehundred 百元挑战赛
     * @return 结果
     */
    @Override
    public int insertQuestionMatchOnehundred(QuestionMatchOnehundred questionMatchOnehundred)
    {
        return questionMatchOnehundredMapper.insertQuestionMatchOnehundred(questionMatchOnehundred);
    }

    /**
     * 修改百元挑战赛
     * 
     * @param questionMatchOnehundred 百元挑战赛
     * @return 结果
     */
    @Override
    public int updateQuestionMatchOnehundred(QuestionMatchOnehundred questionMatchOnehundred)
    {
        return questionMatchOnehundredMapper.updateQuestionMatchOnehundred(questionMatchOnehundred);
    }

    /**
     * 批量删除百元挑战赛
     * 
     * @param matchIds 需要删除的百元挑战赛主键
     * @return 结果
     */
    @Override
    public int deleteQuestionMatchOnehundredByMatchIds(Long[] matchIds)
    {
        return questionMatchOnehundredMapper.deleteQuestionMatchOnehundredByMatchIds(matchIds);
    }

    /**
     * 删除百元挑战赛信息
     * 
     * @param matchId 百元挑战赛主键
     * @return 结果
     */
    @Override
    public int deleteQuestionMatchOnehundredByMatchId(Long matchId)
    {
        return questionMatchOnehundredMapper.deleteQuestionMatchOnehundredByMatchId(matchId);
    }
}
