package com.ruoyi.system.answer.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.answer.base.mapper.QuestionMatchMapper;
import com.ruoyi.system.answer.base.domain.QuestionMatch;
import com.ruoyi.system.answer.base.service.IQuestionMatchService;

/**
 * 每日答题赛Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-13
 */
@Service
public class QuestionMatchServiceImpl implements IQuestionMatchService 
{
    @Autowired
    private QuestionMatchMapper questionMatchMapper;

    /**
     * 查询每日答题赛
     * 
     * @param matchId 每日答题赛主键
     * @return 每日答题赛
     */
    @Override
    public QuestionMatch selectQuestionMatchByMatchId(Long matchId)
    {
        return questionMatchMapper.selectQuestionMatchByMatchId(matchId);
    }

    /**
     * 查询每日答题赛列表
     * 
     * @param questionMatch 每日答题赛
     * @return 每日答题赛
     */
    @Override
    public List<QuestionMatch> selectQuestionMatchList(QuestionMatch questionMatch)
    {
        return questionMatchMapper.selectQuestionMatchList(questionMatch);
    }

    /**
     * 新增每日答题赛
     * 
     * @param questionMatch 每日答题赛
     * @return 结果
     */
    @Override
    public int insertQuestionMatch(QuestionMatch questionMatch)
    {
        return questionMatchMapper.insertQuestionMatch(questionMatch);
    }

    /**
     * 修改每日答题赛
     * 
     * @param questionMatch 每日答题赛
     * @return 结果
     */
    @Override
    public int updateQuestionMatch(QuestionMatch questionMatch)
    {
        return questionMatchMapper.updateQuestionMatch(questionMatch);
    }

    /**
     * 批量删除每日答题赛
     * 
     * @param matchIds 需要删除的每日答题赛主键
     * @return 结果
     */
    @Override
    public int deleteQuestionMatchByMatchIds(Long[] matchIds)
    {
        return questionMatchMapper.deleteQuestionMatchByMatchIds(matchIds);
    }

    /**
     * 删除每日答题赛信息
     * 
     * @param matchId 每日答题赛主键
     * @return 结果
     */
    @Override
    public int deleteQuestionMatchByMatchId(Long matchId)
    {
        return questionMatchMapper.deleteQuestionMatchByMatchId(matchId);
    }
}
